AM_CPPFLAGS =			\
	-I. 			\
	-I$(top_srcdir) 	\
	-I$(top_builddir)

AM_CFLAGS =	\
	-Wall	\
	-Werror	\
	-g

INCLUDES = \
	-DMMEDIAMANAGER_EXTENSIONDIR=\""$(libdir)/mmediamanager/extensions"\"
  
bin_PROGRAMS = \
	mm-dbus-manager

mm_dbus_manager_headers = \
	mm-dbus-manager.h

mm_dbus_manager_SOURCES = \
	mm-dbus-manager-main.c \
	mm-dbus-manager.c \
	$(mm_dbus_manager_headers)

mm_dbus_manager_CFLAGS = \
	$(DBUS_CFLAGS) \
	$(MMEDIAMANAGER_CFLAGS)

mm_dbus_manager_LDADD = \
	$(top_builddir)/libmmanager/libmmanager.la \
	$(DBUS_LIBS) \
	$(MMEDIAMANAGER_LIBS)

BUILT_SOURCES =					\
	mm-dbus-manager-client-bindings.h	\
	mm-dbus-manager-server-bindings.h

stamp_files =					\
	stamp-mm-dbus-manager-client-bindings.h	\
	stamp-mm-dbus-manager-server-bindings.h

mm-dbus-manager-server-bindings.h: stamp-mm-dbus-manager-server-bindings.h
	@true
stamp-mm-dbus-manager-server-bindings.h: mm-dbus-manager-info.xml Makefile
	$(DBUS_BINDING_TOOL) --prefix=mm_dbus_manager --mode=glib-server $< > xgen-$(@F) \
	&& ( cmp -s xgen-$(@F) $(@F:stamp-%=%) || cp xgen-$(@F) $(@F:stamp-%=%) ) \
	&& rm -f xgen-$(@F) \
	&& echo timestamp > $(@F)

mm-dbus-manager-client-bindings.h: stamp-mm-dbus-manager-client-bindings.h
	@true
stamp-mm-dbus-manager-client-bindings.h: mm-dbus-manager-info.xml Makefile
	$(DBUS_BINDING_TOOL) --prefix=mm_dbus_manager --mode=glib-client $< > xgen-$(@F) \
	&& ( cmp -s xgen-$(@F) $(@F:stamp-%=%) || cp xgen-$(@F) $(@F:stamp-%=%) ) \
	&& rm -f xgen-$(@F) \
	&& echo timestamp > $(@F)

mm-dbus-module-server-bindings.h: stamp-mm-dbus-module-server-bindings.h
	@true
stamp-mm-dbus-module-server-bindings.h: mm-dbus-module-info.xml Makefile
	$(DBUS_BINDING_TOOL) --prefix=mm_dbus_module --mode=glib-server $< > xget-$(@F) \
	&& ( cmp -s xgen-$(@F) $(@F:stamp-%=%) || cp xgen-$(@F) $(@F:stamp-%=%) ) \
	&& rm -f xgen-$(@F) \
	&& echo timestamp > $(@F)

mm-dbus-module-client-bindings.h: stamp-mm-dbus-module-client-bindings.h
	@true
stamp-mm-dbus-module-client-bindings.h: mm-dbus-module-info.xml Makefile
	$(DBUS_BINDING_TOOL) --prefix=mm_dbus_module --mode=glib-client $< > xgen-$(@F) \
	&& ( cmp -s xgen-$(@F) $(@F:stamp-%=%) || cp xgen-$(@F) $(@F:stamp-%=%) ) \
	&& rm -f xgen-$(@F) \
	&& echo timestamp > $(@F)

CLEANFILES = $(stamp_files) $(BUILT_SOURCES)
DISTCLEANFILES = $(stamp_files) $(BUILT_SOURCES)
MAINTAINERCLEANFILES =		\
	*~			\
	Makefile.in		\
	$(stamp_files) 		\
	$(BUILT_SOURCES)

EXTRA_DIST =				\
	mm-dbus-manager-info.xml	\
	mm-dbus-module-info.xml

